cutlass::ScalarIO< T > Struct Template Reference

Helper to enable formatted printing of CUTLASS scalar types to an ostream.

`#include <core_io.h>`

Collaboration diagram for cutlass::ScalarIO< T >:
[legend]

## Public Member Functions

| ScalarIO ()
| Default ctor. More...
| ScalarIO (T value)
| Constructs from a value. More...

## Public Attributes

T | value
| Value to print. More...

## Constructor & Destructor Documentation

template<typename T >

cutlass::ScalarIO< T >::ScalarIO | ( |  | ) |

inline

template<typename T >

cutlass::ScalarIO< T >::ScalarIO | ( | T | value | ) |

inline

## Member Data Documentation

template<typename T >

T cutlass::ScalarIO< T >::value

The documentation for this struct was generated from the following file:

- core_io.h